
// dllMain.cpp : Defines the exported functions for the DLL application.

#include "ThereminoHidApi.h"

#include <string.h>
#include "hidapi.h"

// Headers needed for sleeping.
#ifdef _WIN32
	#include <windows.h>
#else
	#include <unistd.h>
#endif


// ===========================================================================================
//   GLOBALS
// ===========================================================================================


// ===========================================================================================
//   EXPORTED FUNCTIONS
//
//  The normal CallingConvention ( Declare in VB ) is Winapi, which defaults to StdCall
// ===========================================================================================

int the_getmastername()
{
	int HidApiTest();

	return HidApiTest();
}


int the_hid_init()
{
	return hid_init();
}


int the_hid_exit()
{
	return hid_exit();
}


hid_device * the_hid_open(unsigned short vendor_id, unsigned short product_id, wchar_t *serial_number)
{
	//	Open the device using the VID, PID,
	//	and optionally the Serial number.
	//	handle = hid_open(0x4d8, 0x3eff, L"12345");
	return hid_open(vendor_id, product_id, serial_number);
}


void the_hid_close(hid_device *device)
{
	hid_close(device);
}


int the_hid_read(hid_device *device, unsigned char *data, size_t length)
{
	return hid_read(device, data, length);
}



int the_hid_write(hid_device *device, const unsigned char *data, size_t length)
{
	return hid_write(device, data, length);

}

